Package org.springframework.security.util

# Class SimpleMethodInvocation

java.lang.Object
org.springframework.security.util.SimpleMethodInvocation

All Implemented Interfaces:
  `org.aopalliance.intercept.Invocation`, `org.aopalliance.intercept.Joinpoint`, `org.aopalliance.intercept.MethodInvocation`

public class SimpleMethodInvocation extends Object implements org.aopalliance.intercept.MethodInvocation
Represents the AOP Alliance `MethodInvocation`.

## Constructor Summary

Constructors
Constructor
Description
`SimpleMethodInvocation()`
`SimpleMethodInvocation(Object targetObject, Method method, Object... arguments)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getArguments()`
`Method`
`getMethod()`
`AccessibleObject`
`getStaticPart()`
`Object`
`getThis()`
`Object`
`proceed()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SimpleMethodInvocation

public SimpleMethodInvocation(Object targetObject, Method method, Object... arguments)

### SimpleMethodInvocation

public SimpleMethodInvocation()

## Method Details

### getArguments

public Object[] getArguments()

Specified by:
  `getArguments` in interface `org.aopalliance.intercept.Invocation`

### getMethod

public Method getMethod()

Specified by:
  `getMethod` in interface `org.aopalliance.intercept.MethodInvocation`

### getStaticPart

public AccessibleObject getStaticPart()

Specified by:
  `getStaticPart` in interface `org.aopalliance.intercept.Joinpoint`

### getThis

public Object getThis()

Specified by:
  `getThis` in interface `org.aopalliance.intercept.Joinpoint`

### proceed

public Object proceed()

Specified by:
  `proceed` in interface `org.aopalliance.intercept.Joinpoint`

### toString

public String toString()

Overrides:
  `toString` in class `Object`